From 49b4225b6d5f28cde73f48dec2ee38bf37edddfb Mon Sep 17 00:00:00 2001
From: Robert Lowry <bobertlo@gmail.com>
Date: Thu, 9 May 2019 23:30:30 -0500
Subject: [PATCH 1/3] New package: python-botocore-1.12.145

---
 srcpkgs/python-botocore/template | 31 +++++++++++++++++++++++++++++++
 srcpkgs/python3-botocore         |  1 +
 2 files changed, 32 insertions(+)
 create mode 100644 srcpkgs/python-botocore/template
 create mode 120000 srcpkgs/python3-botocore

diff --git a/srcpkgs/python-botocore/template b/srcpkgs/python-botocore/template
new file mode 100644
index 00000000000..1e6880b03d5
--- /dev/null
+++ b/srcpkgs/python-botocore/template
@@ -0,0 +1,31 @@
+# Template file for 'python-botocore'
+pkgname=python-botocore
+version=1.12.145
+revision=1
+archs=noarch
+wrksrc="botocore-${version}"
+build_style=python-module
+pycompile_module="botocore"
+hostmakedepends="python-setuptools python3-setuptools"
+depends="python-dateutil python-docutils python-jmespath python-urllib3"
+short_desc="Core functionality library of boto 3 (Python2)"
+maintainer="Robert Lowry <bobertlo@gmail.com>"
+license="Apache-2.0"
+homepage="https://github.com/boto/botocore"
+distfiles="https://github.com/boto/botocore/archive/${version}.tar.gz"
+checksum=c23cfc8beee3aad86e659199bc69280eb6638e2047808b74b538aa6cbd21eaeb
+
+post_install() {
+	vlicense LICENSE.txt
+}
+
+python3-botocore_package() {
+	archs=noarch
+	pycompile_module="botocore"
+	depends="python3-dateutil python3-docutils python3-jmespath python3-urllib3"
+	short_desc="${short_desc/Python2/Python3}"
+	pkg_install() {
+		vmove usr/lib/python3*
+		vlicense LICENSE.txt
+	}
+}
diff --git a/srcpkgs/python3-botocore b/srcpkgs/python3-botocore
new file mode 120000
index 00000000000..e4216cb4265
--- /dev/null
+++ b/srcpkgs/python3-botocore
@@ -0,0 +1 @@
+python-botocore
\ No newline at end of file

From 0f51bce7d93649aa0a38c070af7abcf8b686d9d4 Mon Sep 17 00:00:00 2001
From: Robert Lowry <bobertlo@gmail.com>
Date: Thu, 9 May 2019 23:31:13 -0500
Subject: [PATCH 2/3] New package: python-s3transfer-0.2.0

---
 srcpkgs/python-s3transfer/template | 31 ++++++++++++++++++++++++++++++
 srcpkgs/python3-s3transfer         |  1 +
 2 files changed, 32 insertions(+)
 create mode 100644 srcpkgs/python-s3transfer/template
 create mode 120000 srcpkgs/python3-s3transfer

diff --git a/srcpkgs/python-s3transfer/template b/srcpkgs/python-s3transfer/template
new file mode 100644
index 00000000000..6c9f321e77e
--- /dev/null
+++ b/srcpkgs/python-s3transfer/template
@@ -0,0 +1,31 @@
+# Template file for 'python-s3transfer'
+pkgname=python-s3transfer
+version=0.2.0
+revision=1
+archs=noarch
+wrksrc="s3transfer-${version}"
+build_style=python-module
+pycompile_module="s3transfer"
+hostmakedepends="python-setuptools python3-setuptools"
+depends="python-botocore"
+short_desc="Amazon S3 Transfer Manager (Python2)"
+maintainer="Robert Lowry <bobertlo@gmail.com>"
+license="Apache-2.0"
+homepage="https://github.com/boto/s3transfer"
+distfiles="https://github.com/boto/s3transfer/archive/${version}.tar.gz"
+checksum=fe96e25f89f405e22a0283df8eefe1b0d2c998eab01c6c8f39923e16faf78522
+
+post_install() {
+	vlicense LICENSE.txt
+}
+
+python3-s3transfer_package() {
+	archs=noarch
+	depends="python3-botocore"
+	pycompile_module="s3transfer"
+	short_desc="${short_desc/Python2/Python3}"
+	pkg_install() {
+		vmove usr/lib/python3*
+		vlicense LICENSE.txt
+	}
+}
diff --git a/srcpkgs/python3-s3transfer b/srcpkgs/python3-s3transfer
new file mode 120000
index 00000000000..f9f265aecc6
--- /dev/null
+++ b/srcpkgs/python3-s3transfer
@@ -0,0 +1 @@
+python-s3transfer
\ No newline at end of file

From 35be1e6298ecf7ef0e92145479de1e00d4f02dc9 Mon Sep 17 00:00:00 2001
From: Robert Lowry <bobertlo@gmail.com>
Date: Thu, 9 May 2019 23:31:49 -0500
Subject: [PATCH 3/3] New package: aws-cli-1.16.155

closes #11435
---
 srcpkgs/aws-cli/template | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)
 create mode 100644 srcpkgs/aws-cli/template

diff --git a/srcpkgs/aws-cli/template b/srcpkgs/aws-cli/template
new file mode 100644
index 00000000000..e26634b0d10
--- /dev/null
+++ b/srcpkgs/aws-cli/template
@@ -0,0 +1,26 @@
+# Template file for 'aws-cli'
+pkgname=aws-cli
+version=1.16.155
+revision=1
+archs=noarch
+wrksrc="aws-cli-${version}"
+build_style=python3-module
+pycompile_module="aws-cli"
+hostmakedepends="python3-setuptools"
+depends="python3-botocore python3-s3transfer python3-colorama python3-rsa
+ python3-yaml python3-docutils"
+short_desc="Universal Command Line Interface for Amazon Web Services"
+maintainer="Robert Lowry <bobertlo@gmail.com>"
+license="Apache-2.0"
+homepage="https://github.com/aws/aws-cli"
+distfiles="https://github.com/aws/aws-cli/archive/${version}.tar.gz"
+checksum=14bd9a4624e570349dae002e583fce41e6c81066cc6cea9afffe663f4d1c71f9
+
+post_install() {
+	vlicense LICENSE.txt
+	vinstall bin/aws_bash_completer 644 usr/share/bash-completion/completions aws
+	vinstall bin/aws_zsh_completer.sh 644 usr/share/zsh/site-functions _aws
+	rm "${DESTDIR}/usr/bin/aws_bash_completer"
+	rm "${DESTDIR}/usr/bin/aws_zsh_completer.sh"
+	rm "${DESTDIR}/usr/bin/aws.cmd"
+}
